## ros-galactic-rosbridge-msgs 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbridge_msgs)

find_package(ament_cmake_ros REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

rosidl_generate_interfaces(${PROJECT_NAME}
  msg/ConnectedClient.msg
  msg/ConnectedClients.msg
  DEPENDENCIES builtin_interfaces
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-galactic-rosbridge-msgs (1.3.1-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Fri, 21 Oct 2022 05:00:00 -0000

ros-galactic-rosbridge-msgs (1.3.0-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Tue, 16 Aug 2022 05:00:00 -0000

ros-galactic-rosbridge-msgs (1.2.0-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Fri, 20 May 2022 05:00:00 -0000

ros-galactic-rosbridge-msgs (1.1.2-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Mon, 03 Jan 2022 06:00:00 -0000

ros-galactic-rosbridge-msgs (1.1.1-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Thu, 09 Dec 2021 06:00:00 -0000

ros-galactic-rosbridge-msgs (1.1.0-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Fri, 22 Oct 2021 05:00:00 -0000

ros-galactic-rosbridge-msgs (1.0.8-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Thu, 26 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-msgs (1.0.7-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 18 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-msgs (1.0.6-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Tue, 17 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-msgs (1.0.5-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Thu, 12 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-msgs (1.0.4-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 11 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-msgs (1.0.3-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Tue, 03 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-msgs (1.0.2-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Tue, 24 Sep 2019 05:00:00 -0000

ros-galactic-rosbridge-msgs (1.0.1-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Fri, 20 Sep 2019 05:00:00 -0000

ros-galactic-rosbridge-msgs (1.0.0-1focal) focal; urgency=high

  * Port to ROS 2

 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Thu, 19 Sep 2019 05:00:00 -0000

ros-galactic-rosbridge-msgs (0.11.3-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 07 Aug 2019 05:00:00 -0000

ros-galactic-rosbridge-msgs (0.11.2-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Mon, 08 Jul 2019 05:00:00 -0000

ros-galactic-rosbridge-msgs (0.11.1-1focal) focal; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 08 May 2019 05:00:00 -0000

ros-galactic-rosbridge-msgs (0.11.0-1focal) focal; urgency=high

  * Additional client information websocket (#393 <https://github.com/RobotWebTools/rosbridge_suite/issues/393>)
    * Add package rosbridge_msgs.
    * rosbridge_server: Publish additional information about connected clients.
    * rosbridge_server: Make ClientManager's add_client/remove_client methods thread safe.
    * rosbridge_server: Rm unnecessary publishing.
    * rosbridge_msgs: Cleanup/fix dependencies.
  * Contributors: Hans-Joachim Krauch

 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Fri, 29 Mar 2019 06:00:00 -0000

=== debian/control ===
Source: ros-galactic-rosbridge-msgs
Section: misc
Priority: optional
Maintainer: Hans-Joachim Krauch <achim@intermodalics.eu>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-ros, ros-galactic-builtin-interfaces, ros-galactic-rosidl-default-generators, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosbridge-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rosidl-default-runtime, ros-galactic-ros-workspace
Description: Package containing message files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-rosbridge-msgs//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
